Summary:	Download mail from an Yahoo! webmail account
Name:		fetchyahoo
Version:	2.14.10
Release:	1
URL:		http://fetchyahoo.twizzler.org/
Source0:	http://fetchyahoo.twizzler.org/fetchyahoo-%{version}.tar.gz
Patch0:		fetchyahoo-2.14.2-utf-8.patch
License:	GPLv2
Group:		Applications/Internet
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
Requires:	perl(HTML::Entities)
Requires:	perl(LWP::Protocol::https)
Requires:	perl(Mail::IMAPClient)
Requires:	perl(Net::SMTP)
Requires:	perl(Term::ReadKey)

%description
FetchYahoo is a Perl script that downloads mail from a Yahoo! webmail
account to a local mail spool, an mbox file, or to procmail. It is
meant to replace fetchmail for people using Yahoo! mail since Yahoo!'s
POP and email forwarding services are no longer free. It includes all
parts and attachments within the email. It can also forward the email
to a specified address.

%prep
%setup -q -n %{name}-%{version}

# Recode documentation as UTF8
%patch0 -p1

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},%{_mandir}/man1}
install -m 0755 -p fetchyahoo %{buildroot}%{_bindir}/fetchyahoo
install -m 0644 -p fetchyahoo.1 %{buildroot}%{_mandir}/man1/fetchyahoo.1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL TODO index.html fetchyahoorc ChangeLog Credits
%{_bindir}/fetchyahoo
%{_mandir}/man1/fetchyahoo.1*

%changelog
* Tue May 28 2013 Paul Howarth <paul@city-fan.org> 2.14.10-1
- Update to 2.14.10
  - switch to classic Yahoo! mail before downloading messages

* Mon Dec 17 2012 Paul Howarth <paul@city-fan.org> 2.14.9-1
- Update to 2.14.9
  - fix downloading html messages with plain/text alternative

* Mon Dec  3 2012 Paul Howarth <paul@city-fan.org> 2.14.8-1
- Update to 2.14.8
  - get classic Yahoo! Mail page by pretending to be a text browser

* Fri Apr 13 2012 Paul Howarth <paul@city-fan.org> 2.14.7-1
- Update to 2.14.7
  - fix compatibility with .mc1 servers

* Tue Mar 27 2012 Paul Howarth <paul@city-fan.org> 2.14.6-1
- Update to 2.14.6
  - case-insensitive check for text/plain
  - check for existence of content-type to prevent uninitialized variable error

* Mon Mar 26 2012 Paul Howarth <paul@city-fan.org> 2.14.5-1
- Update to 2.14.5
  - always attach body - should fix empty messages
  - update to use built-in IMAPClient SSL - should fix IMAPS
  - use text/html for text messages because Yahoo uses html for text messages
- Drop explicit IO::Socket::SSL dependency as we use Mail::IMAPClient's SSL
  support instead

* Fri Mar 23 2012 Paul Howarth <paul@city-fan.org> 2.14.3-1
- Update to 2.14.3
  - fix "400 Multi-hop detected" error

* Wed Jan 18 2012 Paul Howarth <paul@city-fan.org> 2.14.2-1
- Update to 2.14.2
  - fix for bypassing opt-out screen
- Use a patch rather than scripted iconv to fix character encoding
- Drop support for upstream releases containing fetchyahoo.pl
- Add dependency on perl(LWP::Protocol::https)

* Tue Apr 26 2011 Paul Howarth <paul@city-fan.org> 2.14.1-1
- Update to 2.14.1
  - update for new Yahoo Mail Beta
- Maintain upstream timestamps
- Nobody else likes macros for commands

* Wed Nov 17 2010 Paul Howarth <paul@city-fan.org> 2.14.0-1
- Update to 2.14.0
  - fix for occasional initialized value error
  - fix for recent login change
  - increase max messages per run to 400
- Clean up spec changelog

* Tue Feb  9 2010 Paul Howarth <paul@city-fan.org> 2.13.9-2
- Drop perl(Crypt::SSLeay) dependency - it's not needed if we have
  perl(IO::Socket::SSL), and IMAPS support can only use perl(IO::Socket::SSL)
- Drop perl(LWP::UserAgent) and perl(MIME::Entity) dependencies, picked up
  automatically

* Tue Feb  9 2010 Paul Howarth <paul@city-fan.org> 2.13.9-1
- Update to 2.13.9
  - add support for debugging output
  - add support for SMTP authentication
  - change code to make filtering on subject/sender easier
  - fix subject parsing for messages with attachments
- Drop dependencies on perl-libwww-perl and perl-MIME-tools and add
  dependencies on the actual perl modules required:
  - perl(HTML::Entities)
  - perl(LWP::UserAgent)
  - perl(MIME::Entity)
  - perl(Net::SMTP)
- Add dependency on perl(Crypt::SSLeay) for https

* Tue Feb  9 2010 Paul Howarth <paul@city-fan.org> 2.13.8-1
- Update to 2.13.8
  - downloading sent messages works again
  - allow moving messages to a Yahoo folder
  - fixed formatting for some multi-part messages
- Add requires for enhanced functionality:
  - perl(IO::Socket::SSL)
  - perl(Mail::IMAPClient)
  - perl(Term::ReadKey)

* Wed Sep 23 2009 Paul Howarth <paul@city-fan.org> 2.13.7-1
- Update to 2.13.7 (fix retrieving messages)

* Mon Jun 15 2009 Paul Howarth <paul@city-fan.org> 2.13.6-1
- Update to 2.13.6 (fix getting message IDs for read messages)

* Fri May 29 2009 Paul Howarth <paul@city-fan.org> 2.13.5-1
- Update to 2.13.5 (fix deleting of messages and downloading from Sent folder)

* Tue May 26 2009 Paul Howarth <paul@city-fan.org> 2.13.4-1
- Update to 2.13.4
  - fix uninitialized value error in http.pm
  - recognize new redirect
  - update summary page parsing

* Tue Mar 10 2009 Paul Howarth <paul@city-fan.org> 2.13.3-1
- Update to 2.13.3 (fixes for login and message parsing)

* Mon Mar  9 2009 Paul Howarth <paul@city-fan.org> 2.13.2-1
- Update to 2.13.2
  - match uppercase <HTML to recognize html messages
  - better searching for crumb

* Fri Mar  6 2009 Paul Howarth <paul@city-fan.org> 2.13.1-1
- Update to 2.13.1
  - fix downloading of inline html alternative
  - fix From_ lines in messages with attachments
  - attempt to fix bug where messages are not deleted

* Mon Mar  2 2009 Paul Howarth <paul@city-fan.org> 2.13.0-1
- Update to 2.13.0 (fix downloading of messages with attachments)

* Mon Feb  9 2009 Paul Howarth <paul@city-fan.org> 2.12.4-1
- Update to 2.12.4 (thanks to Jon Glueckstein for the heads-up)
- New upstream URLs - moved from sourceforge to twizzler.org

* Mon Mar  3 2008 Paul Howarth <paul@city-fan.org> 2.11.3-1
- Update to 2.11.3

* Sat Sep  8 2007 Paul Howarth <paul@city-fan.org> 2.11.2-1
- Update to 2.11.2
- Convert docs to UTF-8 encoding

* Fri Aug 31 2007 Paul Howarth <paul@city-fan.org> 2.11.1-1
- Update to 2.11.1

* Thu Aug 30 2007 Paul Howarth <paul@city-fan.org> 2.11.0-1
- Update to 2.11.0
- Clarify license as GPL version 2

* Mon Jul 30 2007 Paul Howarth <paul@city-fan.org> 2.10.9-1
- Update to 2.10.9

* Mon Jun 11 2007 Paul Howarth <paul@city-fan.org> 2.10.8-1
- Update to 2.10.8

* Mon Feb 26 2007 Paul Howarth <paul@city-fan.org> 2.10.7-1
- Update to 2.10.7
- Remove message-parsing patch altogether
- Remove pointless --preserve-root option from rm in %%install and %%clean

* Fri Sep 22 2006 Paul Howarth <paul@city-fan.org> 2.10.6-1
- Update to 2.10.6
- Disable message-parsing patch, which no longer applies

* Thu Sep 21 2006 Paul Howarth <paul@city-fan.org> 2.10.5-1
- Update to 2.10.5

* Sun Sep 17 2006 Paul Howarth <paul@city-fan.org> 2.10.4-1
- Update to 2.10.4

* Mon Jul 10 2006 Paul Howarth <paul@city-fan.org> 2.10.3-1
- Update to 2.10.3
- Define %%{__id_u} in a more portable way

* Mon Jan  9 2006 Paul Howarth <paul@city-fan.org> 2.10.2-1
- Update to 2.10.2

* Wed Nov 23 2005 Paul Howarth <paul@city-fan.org> 2.10.1-1
- Update to 2.10.1

* Mon Nov 14 2005 Paul Howarth <paul@city-fan.org> 2.10.0-1
- Update to 2.10.0
- Update Message-ID-parsing patch

* Fri Sep  9 2005 Paul Howarth <paul@city-fan.org> 2.9.0-1
- Update to 2.9.0
- Update Message-ID-parsing patch

* Wed Aug 31 2005 Paul Howarth <paul@city-fan.org> 2.8.9-1
- Update to 2.8.9
- Update Message-ID-parsing patch

* Mon Aug 22 2005 Paul Howarth <paul@city-fan.org> 2.8.8-1
- Update to 2.8.8
- Add patch to improve parsing of Message-IDs

* Mon Jun 27 2005 Paul Howarth <paul@city-fan.org> 2.8.7-1
- Update to 2.8.7
- Use full URL for %%SOURCE0
- Use Fedora Extras standard buildroot
- Remove obvious perl dependency packages and let RPM find them
- Fix permissions at install time rather than in files list

* Mon Sep 20 2004 Paul Howarth <paul@city-fan.org> 2.8.6-1
- Update to 2.8.6

* Thu Sep 16 2004 Paul Howarth <paul@city-fan.org> 2.8.5-1
- Update to 2.8.5

* Sun Sep  5 2004 Paul Howarth <paul@city-fan.org> 2.8.3-1
- Update to 2.8.3

* Wed Jun 23 2004 Paul Howarth <paul@city-fan.org> 2.8.2-1
- Update to 2.8.2

* Mon Jun 21 2004 Paul Howarth <paul@city-fan.org> 2.8.1-1
- Update to 2.8.1
- Use install rather than cp

* Mon Mar 22 2004 Paul Howarth <paul@city-fan.org> 2.8.0-1
- Update to 2.8.0

* Fri Mar 19 2004 Paul Howarth <paul@city-fan.org> 2.7.9-1
- Update to 2.7.9

* Wed Mar 09 2004 Paul Howarth <paul@city-fan.org> 2.7.0-1
- Update to 2.7.0
- Handle fetchyahoo.pl or fetchyahoo as source application name

* Mon Mar 01 2004 Paul Howarth <paul@city-fan.org> 2.6.2-1
- Update to 2.6.2

* Thu Feb 19 2004 Paul Howarth <paul@city-fan.org> 2.6.1-1
- Update to 2.6.1
- More macros
- Support generic manpage compression
- Added dependencies for perl-Crypt-SSLeay, perl-libwww-perl, perl-HTML-Parser,
  perl-MIME-tools

* Wed Apr 02 2003 Paul Howarth <paul@city-fan.org>
- Update to 2.5.2

* Mon Nov 11 2002 Paul Howarth <paul@city-fan.org>
- Update to 2.4

* Thu Oct 24 2002 Paul Howarth <paul@city-fan.org>
- Update to 2.2

* Tue Oct 15 2002 Paul Howarth <paul@city-fan.org>
- Changed manpage compression from bz2 to gz to fix rpm build error

* Sat Sep 21 2002 Ravi Ramkissoon <Ravi_Ramkissoon@yahoo.com>
- Add manpage, update version

* Mon Jul  9 2002 Ravi Ramkissoon <Ravi_Ramkissoon@yahoo.com>
- Update versioning system
- Change requirements to just perl

* Mon Jul  8 2002 Heinz Deinhart <emp@nix.at>
- Initial build
